Bug 585233 - Add comps to dump and sync
Add comps to dump and sync
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
Depends On:
Blocks: 249376 space11 585338
  Show dependency treegraph
Reported: 2010-04-23 10:01 EDT by Jan Pazdziora
Modified: 2010-08-19 04:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 249376
Last Closed: 2010-08-19 04:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2010-04-23 10:01:22 EDT
+++ This bug was initially created as a clone of Bug #249376 +++

Description of problem:

The bug 247156 deals with the problem that group operations do not work with
yum. It is due to the lack of comps*.xml information in the satellite-sync
protocol, which means that the table rhnChannelComps does not get popupated. For
the bug 247156, we've decided that we will hardcode the most common RHEL 5
mappings of channel labels to comps*.xml files.

I have filed bug 249141 against hosted, to include the comps information in the
channel dumps / satellite-sync protocol. Once the hosted is fixed, we need to
process that information on the Satellite side.

Version-Release number of selected component (if applicable):

Satellite 5.0.0

How reproducible:


Steps to Reproduce:
1. Run satellite-sync -c rhel-i386-client-5.
2. Check the content of the table rhnChannelComps.
Actual results:

Observe that there is no record in rhnChannelComps for this channel.

Expected results:

Table rhnChannelComps should get populated.

Additional info:

Since we are going to fix bug 247156 by a workaround in the code, yum
groupupdate is not a good indicator of whether this bug was or was not fixed.
OTOH, if you comment out the workaround changes brought by bug 247156, you
should still see yum groupupdate work.

--- Additional comment from pkilambi@redhat.com on 2009-02-24 17:47:58 EST ---


ok from initial investigation, Hosted is  actually not sending down any comps info from rhnChannelComps. All it tell us is whether the channel has_comps or not as a boolean. So I need to manually construct the info and insert it into our satellite db (at the sync time of course). bug#249141 isnt actually doing much for satellite looks like.

~ Prad
Comment 1 Jan Pazdziora 2010-04-23 10:03:37 EDT
Comment 2 Jan Pazdziora 2010-04-26 05:41:19 EDT
Sync of comps from hosted and channel dumps and export of domps to channel dumps added in Spacewalk master, commits c5dd4785600533cce8d5f1d2fa542e1f87e7e7c8 to aacba837cde78607f55e9ee0ded38f6d1406d945.
Comment 3 Jan Pazdziora 2010-04-27 09:11:07 EDT
Additional fix for Spacewalk in cf83cfefb393c76d446cd040196683fa1825e4d6, and inter-satellite-sync feature in commits 6d6835b658eef134671c92151fd1e0e8cfb45545 and 00e24786bcf3347455edb32139bdae8dfbd37b3c.
Comment 4 Jan Pazdziora 2010-05-03 09:34:20 EDT
Additional fixes in Spacewalk master.

The package which contains them is spacewalk-backend-1.1.11-1.
Comment 5 Milan Zázrivec 2010-08-19 04:24:53 EDT
Spacewalk 1.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.